Launchers
Authorization Required

Launchers

Fetch Launcher Vehicles

Get technical specs, stage designs, payload capacities, and flight histories for all ISRO launch vehicles.

Endpoint

GEThttps://space.veerexa.com/api/v1/launchers

Parameters

NameTypeStatusDescription
pageQueryOptionalPage number (default: 1).
qQueryOptionalSearch term for name or series.
expandQueryOptionalExpand relationships dynamically (e.g. `company`, `spacecrafts`, `customer_satellites`).

Request Snippet

curl -X GET "https://space.veerexa.com/api/v1/launchers?page=1&q=Chandrayaan&expand=value" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response Sample

{
  "data": [
    {
      "id": "4",
      "type": "launcher",
      "attributes": {
        "id": 4,
        "name": "PSLV",
        "slug": "pslv",
        "series": "Polar Satellite Launch Vehicle",
        "status": "operational",
        "description": "Polar Satellite Launch Vehicle...",
        "first_flight": "1993-09-20",
        "stages": 4,
        "height": 44.0,
        "diameter": 2.8,
        "mass": 320000.0,
        "payload_leo": 3800.0,
        "payload_gto": 1425.0,
        "total_launches": 60,
        "successful_launches": 57,
        "success_rate": 95.0,
        "created_at": "2026-05-10T09:16:46.908Z",
        "image_url": "https://..."
      }
    }
  ],
  "meta": { "page": 1, "total": 6 }
}